Skip to main content
GET
Fetch payment gateway connection

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Path Parameters

payment_gateway_connection_id
string
required

Response

OK

A payment gateway connection is one Stripe account or one Adyen merchant account that a billing entity collects payments through.

id
string
required

The Orb-assigned unique identifier for the payment gateway connection.

provider_type
enum<string>
required

The external payment provider of this connection.

Available options:
stripe,
adyen
external_account_id
string | null
required

The ID of the account in the external payment provider.

is_default
boolean
required

Whether this is the billing entity's default payment gateway connection.

billing_entity_id
string
required

The ID of the billing entity that collects payments through this connection.

created_at
string<date-time>
required

The time the connection was created.